Package

## Class MediaInformationJsonParser

-     public class MediaInformationJsonParser

  A parser that constructs MediaInformation from FFprobe's json output.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `public final static String` | `KEY_STREAMS` |
    `public final static String` | `KEY_CHAPTERS` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static MediaInformation` | `from(String ffprobeJsonOutput)` | Extracts `MediaInformation` from the given FFprobe json output.
    `static MediaInformation` | `fromWithError(String ffprobeJsonOutput)` | Extracts MediaInformation from the given FFprobe json output.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

           static MediaInformation from(String ffprobeJsonOutput)

      Extracts `MediaInformation` from the given FFprobe json output. Note that thismethod does not throw JSONException as fromWithError does andhandles errors internally.

      Parameters:
        `ffprobeJsonOutput` - FFprobe json output

    - #### fromWithError

           static MediaInformation fromWithError(String ffprobeJsonOutput)

      Extracts MediaInformation from the given FFprobe json output.

      Parameters:
        `ffprobeJsonOutput` - ffprobe json output